---
updatedAt: 2026-09-10T11:37:41.000Z
agentTools:
  projectIndex: https://docs.akeyless.io/llms.txt
---

# /create-salesforce-target

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "The purpose of this application is to provide access to Akeyless API.",
    "title": "Akeyless API",
    "contact": {
      "name": "Akeyless",
      "url": "http://akeyless.io",
      "email": "support@akeyless.io"
    },
    "version": "3.0"
  },
  "paths": {
    "/create-salesforce-target": {
      "post": {
        "tags": [
          "v2"
        ],
        "operationId": "createSalesforceTarget",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/createSalesforceTarget"
              }
            }
          },
          "required": true,
          "x-go-name": "Body"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/createSalesforceTargetResponse"
          },
          "default": {
            "$ref": "#/components/responses/errorResponse"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.akeyless.io"
    }
  ],
  "components": {
    "responses": {
      "createSalesforceTargetResponse": {
        "description": "createSalesforceTargetResponse wraps response body.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/createSalesforceTargetOutput"
            }
          }
        }
      },
      "errorResponse": {
        "description": "errorResponse wraps any error to return it as a JSON object with one \"error\"\nfield.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/JSONError"
            }
          }
        }
      }
    },
    "schemas": {
      "JSONError": {
        "type": "object",
        "title": "JSONError wraps an error with JSON object.",
        "properties": {
          "error": {
            "type": "string",
            "x-go-name": "Err"
          }
        },
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client"
      },
      "createSalesforceTarget": {
        "description": "createSalesforceTarget is a command that creates a new target. [Deprecated: Use target-create-salesforce command]",
        "type": "object",
        "required": [
          "name",
          "tenant-url",
          "client-id",
          "email",
          "auth-flow"
        ],
        "properties": {
          "app-private-key-data": {
            "description": "Base64 encoded PEM of the connected app private key (relevant for JWT auth only)",
            "type": "string",
            "x-go-name": "AppPrivateKeyData"
          },
          "auth-flow": {
            "description": "type of the auth flow ('jwt' / 'user-password')",
            "type": "string",
            "x-go-name": "AuthFlowType"
          },
          "ca-cert-data": {
            "description": "Base64 encoded PEM cert to use when uploading a new key to Salesforce",
            "type": "string",
            "x-go-name": "CACertData"
          },
          "ca-cert-name": {
            "description": "name of the certificate in Salesforce tenant to use when uploading new key",
            "type": "string",
            "x-go-name": "CACertName"
          },
          "client-id": {
            "description": "Client ID of the oauth2 app to use for connecting to Salesforce",
            "type": "string",
            "x-go-name": "ClientId"
          },
          "client-secret": {
            "description": "Client secret of the oauth2 app to use for connecting to Salesforce (required for password flow)",
            "type": "string",
            "x-go-name": "ClientSecret"
          },
          "comment": {
            "description": "Deprecated - use description",
            "type": "string",
            "x-go-name": "Comment"
          },
          "description": {
            "description": "Description of the object",
            "type": "string",
            "x-go-name": "Description"
          },
          "email": {
            "description": "The email of the user attached to the oauth2 app used for connecting to Salesforce",
            "type": "string",
            "x-go-name": "Email"
          },
          "json": {
            "description": "Set output format to JSON",
            "type": "boolean",
            "default": false,
            "x-go-name": "Json"
          },
          "key": {
            "description": "The name of a key that used to encrypt the target secret value (if empty, the account default protectionKey key will be used)",
            "type": "string",
            "x-go-name": "ProtectionKey"
          },
          "lock-on-read": {
            "description": "Lock this secret after each successful value read",
            "type": "string",
            "x-go-name": "LockOnRead"
          },
          "lock-ttl": {
            "description": "Lock TTL in minutes",
            "type": "string",
            "x-go-name": "LockTTL"
          },
          "max-versions": {
            "description": "Set the maximum number of versions, limited by the account settings defaults.",
            "type": "string",
            "x-go-name": "MaxVersions"
          },
          "name": {
            "description": "Target name",
            "type": "string",
            "x-go-name": "TargetName"
          },
          "password": {
            "description": "The password of the user attached to the oauth2 app used for connecting to Salesforce (required for user-password flow)",
            "type": "string",
            "x-go-name": "Password"
          },
          "rotate-on-unlock": {
            "description": "Rotate this secret after it is unlocked",
            "type": "string",
            "x-go-name": "RotateOnUnlock"
          },
          "security-token": {
            "description": "The security token of the user attached to the oauth2 app used for connecting to Salesforce  (required for user-password flow)",
            "type": "string",
            "x-go-name": "SecurityToken"
          },
          "tenant-url": {
            "description": "Url of the Salesforce tenant",
            "type": "string",
            "x-go-name": "TenantUrl"
          },
          "token": {
            "description": "Authentication token (see `/auth` and `/configure`)",
            "type": "string",
            "x-go-name": "Profile"
          },
          "uid-token": {
            "description": "The universal identity token, Required only for universal_identity authentication",
            "type": "string",
            "x-go-name": "UIDToken"
          }
        },
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      },
      "createSalesforceTargetOutput": {
        "type": "object",
        "properties": {
          "target_id": {
            "type": "integer",
            "format": "int64",
            "x-go-name": "TargetID"
          }
        },
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      }
    }
  }
}
```